def anagramme(str1,str2):
	if len(str2) != len(str1):
		return False
	else:
		for i in str2:
			if str2.count(i) != str1.count(i):
				return False
	return True

print("Entrer deux mots")
str2 = input()
str1 = input()
if anagramme(str2,str1):
	print("Ces mots sont des anagrammes")
else:
	print("ces mots ne sont pas anagrammes")